=== debian/changelog ===
mpich (3.3.2-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:37 +0100

mpich (3.3.2-2) unstable; urgency=medium

  * Force gfortran over flang compiler for this release.
  * Ack. bug fixed in experimental release. Closes: #945933

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2019 09:09:07 +0000

mpich (3.3.2-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete Breaks/Replaces from d/control
  * Standards-Version: 4.4.1.0
  * Fix NO_REAL128 conditional in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Dec 2019 12:04:44 +0000

mpich (3.3.1-2) experimental; urgency=medium

  * Test fix for FTBFS on armel, armhf,
    real128 not supported on these platforms.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Sep 2019 16:40:34 +0100

mpich (3.3.1-1) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * New upstream release
  * Fix Vcs-* URLs.
  * Use debhelper-compat (=12)
  * Update patches; obsolete gcc version patches no longer needed
  * Need to use chrpath on the libs. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Aug 2019 15:58:59 +0100
