=== debian/tests/control ===
Tests: version
Depends: mpich
