## mpich 3.4~a2+really3.3.2

=== debian/changelog ===
mpich (3.4~a2+really3.3.2-2) unstable; urgency=medium

  * Fix FTBFS with gfortran-10. Closes: #957566

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Jul 2020 10:02:21 +0100

mpich (3.4~a2+really3.3.2-1) unstable; urgency=medium

  * Upload to remove broken 3.4~a2 pkg. Closes: #954244

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Apr 2020 14:56:01 +0100
