=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,16 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
+                 -fallow-invalid-boz -fallow-argument-mismatch, )
+
 export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
-export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp
-export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //')
+export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)
+export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF10_FLAGS)
+export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //') $(GF10_FLAGS)
+export FCFLAGS=$(shell dpkg-buildflags --get FCFLAGS |  sed -e 's/-g //') $(GF10_FLAGS)
 export FC=f95
 export F77=f77
 export TZ=UTC+0
@@ -78,7 +82,7 @@
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%TRIPLET%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
-	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="" FCFLAGS="" BASH_SHELL=/bin/bash
+	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="${FFLAGS}" FCFLAGS="${FCFLAGS}" BASH_SHELL=/bin/bash
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
