## mpich 3.4.1

=== debian/changelog ===
mpich (3.4.1-5~deb11u1) bullseye; urgency=medium

  * Team upload.
  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Feb 2022 14:19:13 +0100

mpich (3.4.1-5) unstable; urgency=medium

  * Team upload.
  * libmpich12: Add Breaks: libmpich1.0-dev (<< 3) which provided libmpich-dev
    causing the old package using the ancient alternatives scheme to be kept
    installed on some upgrade paths.
  * mpich: Add Breaks+Replaces: libmpich1.0-dev (<< 3) since some files got
    moved around.  (Closes: #992065)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Aug 2021 18:03:27 +0200

mpich (3.4.1-4) unstable; urgency=medium

  * Team upload.
  * libmpich-dev: Fix maintainer script generation to restore missing
    alternatives.  (Closes: #986599)
  * mpich: Do not install symlinks or alternatives to missing manpages or
    pkgconfig files.  (Closes: #985394)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Apr 2021 18:34:55 +0200

mpich (3.4.1-3) unstable; urgency=medium

  * Disable ch4/ ofi. Closes: #982173

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Feb 2021 09:38:00 +0000

mpich (3.4.1-2) unstable; urgency=medium

  * Don't use ch4 on s390x arch. Closes: #981342

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2021 16:08:32 +0000

mpich (3.4.1-1) unstable; urgency=medium

  * New upstream release
    - json-c files no longer shipped in libmpich-dev
  * Add slurm support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jan 2021 08:37:31 +0000

mpich (3.4-5) unstable; urgency=medium

  * Temporarily build without ucx to enable transitions
  * Don't use ch4 on i386, mips64el - doesn't build

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jan 2021 13:55:51 +0000

mpich (3.4-4) unstable; urgency=medium

  * Inverted conditional : ensure ucx used on 64-bit only

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Jan 2021 07:18:23 +0000

mpich (3.4-3) unstable; urgency=medium

  * Build-depend on lifabric-dev, libnuma-dev where available (linux)
  * Drop pmix2  - crashes with pmix4.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jan 2021 12:48:49 +0000

mpich (3.4-2) unstable; urgency=medium

  * Enable hydra2 for mpiexec
  * Add build-dep on python3
  * Undo mpich12->mpich13 naming; upstream didn't change soname
  * Re-install autogenerating pre/post files: dh13 doesn't subst vars there
  * Add some compile/run tests for autopkgtest

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2021 12:30:17 +0000

mpich (3.4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Jan 2021 07:27:08 +0000

mpich (3.4~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Dec 2020 15:34:31 +0000

mpich (3.4~b1-1) experimental; urgency=medium

  * Enable pmix
  * New upstream release
  * Set VCS-Git to point to debian/latest branch
  * Standards-Version now 4.5.1
  * Document vis.js, vis.min.js licensing. Closes: #973634
  * Update d/copyright . Closes: #956289

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Dec 2020 19:08:17 +0000

mpich (3.4~a3-1) experimental; urgency=medium

  * New upstream release
    - Move to libmpich13 : soname change
  * Patch: add missing-conf.patch - pieces needed for autogen.sh to work
  * Use debhelper 13, move autogenerated files to subst. vars
  * Don't fail on tests in experimental

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Sep 2020 17:21:40 +0100

mpich (3.4~a2-3) experimental; urgency=medium

  * Increment soversion in experimental release
    (Currently not set in upstream alpha releases; this is for
     experimental only, not debian unstable)
  * Don't build ch4 devices (OFI, UCX)  on 32-bit systems
  * Drop flang builds until flang uses llvm-9

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Mar 2020 19:42:50 +0000

mpich (3.4~a2-2) unstable; urgency=medium

  * Ensure binaries are deleted in examples dir

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Mar 2020 12:34:51 +0000

mpich (3.4~a2-1) unstable; urgency=medium

  * New upstream release
  * Use dh-sequence-fortran-mod
  * Standards-Version: 4.5.0
  * Build with gfortran| fortran-compiler, test flang builds
  * Devices: explicitly build for ch3 internal device, ch4:ofi
  * Build-depend on librdmacm-dev
  * Drop preinst files ; contain obsolete fixes to alternatives
  * Drop obsolete patches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Feb 2020 13:39:35 +0000
