=== debian/control ===
--- 
+++ 
@@ -5,15 +5,19 @@
            Alastair McKinstry <mckinstry@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               gfortran,
-	       dh-fortran-mod (>= 0.12),
+Build-Depends: debhelper-compat (= 13),
+	       dh-sequence-fortran-mod,
+               gfortran | fortran-compiler,
 	       chrpath,
                hwloc-nox,
+	       librdmacm-dev,
+	       libslurm-dev,
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-               libfabric-dev [amd64 i386],
+	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libxt-dev,
                procps,
+	       python3,
                quilt,
                txt2man,
                valgrind [i386 amd64 powerpc armhf],
@@ -21,9 +25,9 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
-Vcs-Git: https://salsa.debian.org/science-team/mpich.git
+Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
 
 Package: libmpich-dev
@@ -55,6 +59,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libmpich1.0-dev (<< 3)
 Description: Shared libraries for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.  
@@ -76,6 +81,8 @@
          ${shlibs:Depends}
 Recommends: libmpich-dev (= ${binary:Version})
 Suggests: mpich-doc (= ${source:Version})
+Breaks: libmpich1.0-dev (<< 3)
+Replaces: libmpich1.0-dev (<< 3)
 Description: Implementation of the MPI Message Passing Interface standard
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.
