## mpich 4.0

=== debian/changelog ===
mpich (4.0-3) unstable; urgency=medium

  * Disable pmix. Closes: #1004556

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Feb 2022 19:38:06 +0000

mpich (4.0-2) unstable; urgency=medium

  * Temporarily disable ucx; problem with mpich/ucx/pmix to debug.
    Closes: #1004556
  * mpich-4 works with  autoconf2.7.0. Closes: #978867	

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Feb 2022 11:57:20 +0000

mpich (4.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Jan 2022 11:04:56 +0000

mpich (4.0~rc3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jan 2022 14:37:47 +0000

mpich (4.0~rc1-1) experimental; urgency=medium

  * Don't build against libslurm-dev on hurd, kfreebsd
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Dec 2021 11:58:32 +0000

mpich (4.0~b1-4) experimental; urgency=medium

  * Add powerpc sh4 x32 to the archs we don't use libfabric on
  * Don't pull librdmacm-dev on hurd, kfreebsd

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Dec 2021 14:23:22 +0000

mpich (4.0~b1-3) experimental; urgency=medium

  * Only enable pmix in conjunction with ch4

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Dec 2021 10:06:25 +0000

mpich (4.0~b1-2) unstable; urgency=medium

  * Enable ch4
  * Enable UCX, adding dep on libucx-dev on archs
  * Enable pmix, including build-dep on libpmix-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Dec 2021 12:48:05 +0000

mpich (4.0~b1-1) experimental; urgency=medium

  * Support gcc/gfortran 11. Closes: #984242
  * Standards-Version: 4.6.0
  * New upstream release
  * Re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Nov 2021 10:12:38 +0100

mpich (4.0~a2-2) experimental; urgency=medium

  * Add build-dep on libhwloc-dev.
  * Fix d/watc regex to handle alpha versions

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jul 2021 16:23:24 +0100

mpich (4.0~a2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2021 08:25:20 +0100

mpich (4.0~a1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Mar 2021 10:20:15 +0000
