=== debian/control ===
--- 
+++ 
@@ -10,11 +10,14 @@
                gfortran | fortran-compiler,
 	       chrpath,
                hwloc-nox,
-	       librdmacm-dev,
-	       libslurm-dev,
+               libhwloc-dev,
+	       librdmacm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	       libslurm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !powerpc !sh4 !x32],
                libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	       libucx-dev [amd64  ppc64el arm64],
+               libpmix-dev,
                libxt-dev,
                procps,
 	       python3,
@@ -25,7 +28,7 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
@@ -59,7 +62,6 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libmpich1.0-dev (<< 3)
 Description: Shared libraries for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.  
@@ -81,8 +83,6 @@
          ${shlibs:Depends}
 Recommends: libmpich-dev (= ${binary:Version})
 Suggests: mpich-doc (= ${source:Version})
-Breaks: libmpich1.0-dev (<< 3)
-Replaces: libmpich1.0-dev (<< 3)
 Description: Implementation of the MPI Message Passing Interface standard
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.
