=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,15 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-GF10_FLAGS:=$(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-10), \
-                 -fallow-invalid-boz -fallow-argument-mismatch, )
+# Drop flags on old gfortran < 10
+GF_FLAGS:= $(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-9),, -fallow-invalid-boz -fallow-argument-mismatch)
 
 export MPICHLIB_CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF10_FLAGS)
-export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF10_FLAGS)
-export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //') $(GF10_FLAGS)
+export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS) $(GF_FLAGS)
+export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF_FLAGS)
+export FFLAGS=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //') $(GF_FLAGS)
 export F77=f77
 export TZ=UTC+0
 
@@ -25,13 +25,13 @@
 
 NO_ROMIO_ARCH:= hurd-i386
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
-NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
+NO_SLURM_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 
+NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x powerpc sh4 x32
 BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
 NO_REAL128_ARCH:= armel armhf mipsel hppa m68k sh5
 # Pick one as default
-NO_CH4_ARCH:= armel armhf i386 mipsel  hppa m68k sh5 powerpc x32 mips64el s390x
+NO_CH4_ARCH:= armel armhf i386 mipsel  hppa m68k sh4 powerpc x32 mips64el s390x
 UCX_ARCH:= amd64  ppc64el arm64 
-PMIX:=  #--with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
 
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-ibverbs
@@ -45,26 +45,32 @@
 ifneq (,$(findstring  $(DEB_HOST_ARCH),$(NO_REAL128_ARCH)))
         MPICHLIB_FCFLAGS:=$(MPICHLIB_FCFLAGS) -DNO_REAL128
 endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_SLURM_ARCH)))
+	SLURM := --with-slurm=/usr 
+endif
 
 DEVICE:= --with-device=ch3
-UCX:= 
-#ifeq (,$(findstring  $(DEB_HOST_ARCH),$(NO_CH4_ARCH)))
-#        DEVICE:= --with-device=ch4:ofi 
-#endif
+UCX:=
+PMIX:=
+ifeq (,$(findstring  $(DEB_HOST_ARCH),$(NO_CH4_ARCH)))
+        DEVICE:= --with-device=ch4:ofi 
+	# PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
+endif
 #ifneq (,$(findstring  $(DEB_HOST_ARCH),$(UCX_ARCH)))
 #        DEVICE:= --with-device=ch4:ucx
 #	UCX:= --with-ucx=/usr
+#	PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
 #endif
 
 extra_flags += \
 	$(VERBS) \
 	$(FABRIC) \
+	$(SLURM) \
 	$(PMIX) \
 	$(UCX) \
 	$(DEVICE) \
 	$(DISABLE_BUILTIN_ATOMICS) \
 	--with-pm=hydra \
-	--with-slurm=/usr \
 	--with-hwloc-prefix=/usr \
 	--with-wrapper-dl-type=none \
 	--enable-shared \
@@ -104,11 +110,8 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
-	# Disable rebuilding pdfs for the moment due to pdflatex problem 
-	cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
-	cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
-	# cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
-	cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf
+	for d in installguide userguide design ; do \
+		( cd $(CURDIR)/doc/$$d ; rm -f *.pdf ; $(MAKE) ) ; done
 
 override_dh_auto_install-arch:
 	dh_auto_install -a
