=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="uversionmangle=s/(\d+)([a-b])(\d+)/$1~$2$3/" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz
