=== debian/changelog ===
mpich (4.0.2-3) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Jan 2023 09:40:39 +0000

mpich (4.0.2-2) unstable; urgency=medium

  * Disable pmix ; not fixed yet. Closes: #1009782

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Apr 2022 08:52:56 +0100

mpich (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2022 16:28:55 +0100

mpich (4.0.1-1) unstable; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release
  * Re-enable ucx for testing (pmix appears still broken)

  [ Andread Beckmann ]
  * libmpich12: Add Breaks: libmpich1.0-dev (<< 3) which provided libmpich-dev
    causing the old package using the ancient alternatives scheme to be kept
    installed on some upgrade paths.
  * mpich: Add Breaks+Replaces: libmpich1.0-dev (<< 3) since some files got
    moved around.  (Closes: #992065)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Feb 2022 13:23:08 +0000
