=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
@@ -42,6 +42,8 @@
          libmpich12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+         libhwloc-dev,
+	 libucx-dev [amd64  ppc64el arm64],
 	 mpich (= ${binary:Version})
 Description: Development files for MPICH
  MPICH is a high-performance and widely portable implementation of the
@@ -62,6 +64,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libmpich1.0-dev (<< 3)
 Description: Shared libraries for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.  
@@ -83,6 +86,8 @@
          ${shlibs:Depends}
 Recommends: libmpich-dev (= ${binary:Version})
 Suggests: mpich-doc (= ${source:Version})
+Breaks: libmpich1.0-dev (<< 3)
+Replaces: libmpich1.0-dev (<< 3)
 Description: Implementation of the MPI Message Passing Interface standard
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.
