=== debian/rules ===
--- 
+++ 
@@ -54,13 +54,13 @@
 PMIX:=
 ifeq (,$(findstring  $(DEB_HOST_ARCH),$(NO_CH4_ARCH)))
         DEVICE:= --with-device=ch4:ofi 
-	# PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
+	#PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
 endif
-#ifneq (,$(findstring  $(DEB_HOST_ARCH),$(UCX_ARCH)))
-#        DEVICE:= --with-device=ch4:ucx
-#	UCX:= --with-ucx=/usr
-#	PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
-#endif
+ifneq (,$(findstring  $(DEB_HOST_ARCH),$(UCX_ARCH)))
+        DEVICE:= --with-device=ch4:ucx
+	UCX:= --with-ucx=/usr
+	#PMIX:=  --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2
+endif
 
 extra_flags += \
 	$(VERBS) \
