=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="uversionmangle=s/(\d+)((a|b|rc)\d+)/$1~$2/" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz
