## mpich 4.1.2

=== debian/changelog ===
mpich (4.1.2-3) unstable; urgency=medium

  * Team upload
  * debian/patches/7a28682a805acfe84a4ea7b41cea079696407398.patch:
    - upstream build fix (Closes: #1063833)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 10:41:59 +0100

mpich (4.1.2-2) unstable; urgency=medium

  * Team upload
  * Drop kfreebsd
  * d/control: Drop unused B-D quilt
  * Add Deps to libmpich-dev needed for pkg-config (Closes: #1028172)

 -- Bastian Germann <bage@debian.org>  Sat, 16 Sep 2023 21:29:42 +0200

mpich (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file to avoid testsuite package

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Sep 2023 14:46:56 +0100

mpich (4.1.1.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Mar 2023 09:43:31 +0100

mpich (4.1.1a1+really.4.1-1) experimental; urgency=medium

  * New upstream release
  * Drop superfluous d/copyright entries

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 10:16:31 +0000

mpich (4.1.1a1+really.4.1~rc1-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jan 2023 12:18:28 +0000

mpich (4.1.1a1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 May 2022 16:48:32 +0100
