=== debian/control ===
--- 
+++ 
@@ -11,24 +11,23 @@
 	       chrpath,
                hwloc-nox,
                libhwloc-dev,
-	       librdmacm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	       libslurm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-               libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !powerpc !sh4 !x32],
-               libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               librdmacm-dev [!hurd-i386],
+               libslurm-dev [!hurd-i386],
+               libibverbs-dev (>= 1.1.7) [!hurd-i386],
+               libfabric-dev [!hurd-i386 !powerpc !sh4 !x32],
+               libnuma-dev [!hurd-i386],
 	       libucx-dev [amd64  ppc64el arm64],
                libpmix-dev,
                libxt-dev,
                procps,
-	       python3,
-               quilt,
+               python3,
                txt2man,
                valgrind [i386 amd64 powerpc armhf],
                x11proto-core-dev
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
@@ -43,8 +42,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libhwloc-dev,
-	 libucx-dev [amd64  ppc64el arm64],
-	 mpich (= ${binary:Version})
+         libucx-dev [amd64 ppc64el arm64],
+         mpich (= ${binary:Version})
 Description: Development files for MPICH
  MPICH is a high-performance and widely portable implementation of the
  MPI-3.1 standard from the Argonne National Laboratory.
