=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,9 @@
 export MPILIBNAME=mpich
 
 NO_ROMIO_ARCH:= hurd-i386
-NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
-NO_SLURM_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 
-NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x powerpc sh4 x32
+NO_VERBS_ARCH:= hurd-i386 s390x
+NO_SLURM_ARCH:= hurd-i386
+NO_FABRIC_ARCH:= hurd-i386 s390x powerpc sh4 x32
 BUILTIN_ATOMICS_ARCH:= armhf riscv64 hppa
 NO_REAL128_ARCH:= armel armhf mipsel hppa m68k sh5
 # Pick one as default
